#ifndef __RING_FS_H
#define __RING_FS_H

#include "at32f403a_407.h"
#include "ringfs.h"
#include "spi_flash.h"
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif
    

//
int op_sector_erase(struct ringfs_flash_partition *flash, int address);  
  
//
ssize_t op_program(struct ringfs_flash_partition *flash, int address, const void *data, size_t size);

//
ssize_t op_read(struct ringfs_flash_partition *flash, int address, void *data, size_t size);



  



#ifdef __cplusplus
}
#endif


#endif /* __RING_FS_H */
